AVR uisp and STK500 Firmware version

From: Ross K (noSpam_at_nospam.no.way)
Date: 02/22/05


Date: Tue, 22 Feb 2005 13:24:37 -0500


I'm thinking if you use the UISP programmer with the STK500 board for AVR
programming, you may have run into this already (I hope!!)

I've been programming AVR devices with good success using uisp from unix
(macOSX flavour) and using the STK500 with no problems. Unfortunately,
I made the mistake of briefly using a PC with AVR-Studio on it, and it
re-programmed my STK500 with updated firmware ( I think it went to 2.0a or
something like that).

The result is now, returning to my normal setup, the STK500 won't respond
at all to my uisp programming. HELP! This is a serious setback for me,
as I really don't want to switch to AVR Studio when I've got a good thing
going.

a) is there any way to revert to an earlier firmware version in the STK500
b) is there a switch for uisp to make it understand the STK500 again?

In my googling on the topic, I was only able to find one brief mention of
this happening to someone back in Jan 2003 - and nothing else. Surely
others have dealt with it and (hopefully) gotten through it already.

I'm using uisp version 20040311.

Rgds,

Ross.